Package org.bukkit

# Class Server.Spigot

java.lang.Object
org.bukkit.Server.Spigot

Enclosing interface:
  Server

public static class Server.Spigot extends Object

## Constructor Summary

Constructors
Constructor
Description
`Spigot()`

## Method Summary

Modifier and Type
Method
Description
`void`
`broadcast(@NotNull BaseComponent... components)`
Deprecated.
use `Server.broadcast(net.kyori.adventure.text.Component)`
`void`
`broadcast(BaseComponent component)`
Deprecated.
use `Server.broadcast(net.kyori.adventure.text.Component)`
`YamlConfiguration`
`getBukkitConfig()`
`YamlConfiguration`
`getConfig()`
`YamlConfiguration`
`getPaperConfig()`
`YamlConfiguration`
`getScissorsConfig()`
`YamlConfiguration`
`getSpigotConfig()`
`void`
`restart()`
Restart the server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Spigot

public Spigot()

## Method Details

### getConfig

@NotNull public YamlConfiguration getConfig()

### getBukkitConfig

@NotNull public YamlConfiguration getBukkitConfig()

### getSpigotConfig

@NotNull public YamlConfiguration getSpigotConfig()

### getPaperConfig

@NotNull public YamlConfiguration getPaperConfig()

### getScissorsConfig

@NotNull public YamlConfiguration getScissorsConfig()

### broadcast

@Deprecated public void broadcast(@NotNull BaseComponent component)
Deprecated.
use `Server.broadcast(net.kyori.adventure.text.Component)`
Sends the component to the player

Parameters:
  `component` - the components to send

### broadcast

@Deprecated public void broadcast(@NotNull @NotNull BaseComponent... components)
Deprecated.
use `Server.broadcast(net.kyori.adventure.text.Component)`
Sends an array of components as a single message to the player

Parameters:
  `components` - the components to send

### restart

public void restart()
Restart the server. If the server administrator has not configured restarting, the server will stop.